Summary: Command line multimedia player based on gstreamer
Name: gst123
Version: 0.1.3
Release: 2%{?dist}
URL: http://space.twc.de/~stefan/gst123.php
Source: http://space.twc.de/~stefan/gst123/%{name}-%{version}.tar.bz2
Patch1: gst123-sanitize-tgetstr.patch

License: LGPLv2
Group: Applications/Multimedia

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: gtk2-devel
BuildRequires: libX11-devel
BuildRequires: ncurses-devel

%description

The program gst123 is designed to be a more flexible command line player 
in the spirit of ogg123 and mpg123, based on gstreamer. It plays all file 
formats gstreamer understands, so if you have a music collection which 
contains different file formats, you can use gst123 to play all your 
music files.

%prep
%setup -q
%patch1 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)

%{_bindir}/gst123
%{_mandir}/man1/gst123.1.gz
%doc COPYING AUTHORS README NEWS

%changelog
* Mon Jan  3 2011 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.1.3-2
- Don't crash with terminals that don't define all escape sequences.
  Closes bz #666059.

* Wed Dec 08 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.1.3-1
- rebase to upstream 0.1.3. Closes bz #611636

* Tue Jul 06 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.1.2-1
- rebase to upstream 0.1.2. Closes bug 611587, 603681

* Thu Jun 10 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.1.0-3
- Add gstreamer-plugins-base-devel to BuildRequires

* Thu Jun 10 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.1.0-2
- Removed the mp3 reference from description. We only play formats 
  gstreamer understands

* Wed Jun 09 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.1.0-1
- New package
- Fix FTBFS with binutils-gold due to indirect link with libX11

